MyException - 我的异常网
当前位置:我的异常网» Java Web开发 » 从tomcat4.0升级到5.5的有关问题,

从tomcat4.0升级到5.5的有关问题,

www.MyException.Cn  网友分享于:2013-01-30  浏览:14次
从tomcat4.0升级到5.5的问题,急!!!!!!!!!
我的webapp是从tomcat4.0升级到5.5的。在tomcat4.0一切正常,到tomcat5.0后,webapp根目录下的jsp显示正常,数据库连接等都正常。但是在其下的文件夹下的jsp就抛出异常找不到相应的jsp类:
        The   value   for   the   useBean   class   attribute   com.***.**   is   invalid!!!
      我看了在tomcat4.0里的work都生成了相应的jsp类,但是在tomcat5.0只生成了根目录下的jsp类。

------解决方案--------------------
关闭Tomcat,
把work目录删除一下,
重启Tomcat
------解决方案--------------------
你 的 tomcat 是 5.5几啊.将清楚吗.

最好的办法是从新安装tomcat!~!!!!!!
------解决方案--------------------
你好象没有配虚拟目录
------解决方案--------------------
是不是java虚拟机的问题,jdk版本???
------解决方案--------------------
把类重新编译一下,清空WORK目录
------解决方案--------------------
我看到现在还是没弄明白。
究竟是jsp页面出错还是tomcat抛异常?
抛的异常不要用**(可能我比较笨),否则会有点看不明白。

文章评论

软件开发程序错误异常ExceptionCopyright © 2009-2015 MyException 版权所有